| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
graphicstest.ino File Reference

Go to the source code of this file.

## Functions
static void | setup ()
static void | loop (void)
unsigned long | testFillScreen ()
unsigned long | testText ()
unsigned long | testLines (uint16_t color)
unsigned long | testFastLines (uint16_t color1, uint16_t color2)
unsigned long | testRects (uint16_t color)
unsigned long | testFilledRects (uint16_t color1, uint16_t color2)
unsigned long | testFilledCircles (uint8_t radius, uint16_t color)
unsigned long | testCircles (uint8_t radius, uint16_t color)
unsigned long | testTriangles ()
unsigned long | testFilledTriangles ()
unsigned long | testRoundRects ()
unsigned long | testFilledRoundRects ()

## Macros
#define | TFT_DC 9
#define | TFT_CS 10

## Variables
Adafruit_ILI9341 | tft = Adafruit_ILI9341(TFT_CS, TFT_DC)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 108 of file graphicstest.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 30 of file graphicstest.ino.

## ◆ testCircles()

unsigned long testCircles | ( | uint8_t | radius,
|  | uint16_t | color
| ) |  |

Definition at line 298 of file graphicstest.ino.

## ◆ testFastLines()

unsigned long testFastLines | ( | uint16_t | color1,
|  | uint16_t | color2
| ) |  |

Definition at line 225 of file graphicstest.ino.

## ◆ testFilledCircles()

unsigned long testFilledCircles | ( | uint8_t | radius,
|  | uint16_t | color
| ) |  |

Definition at line 280 of file graphicstest.ino.

## ◆ testFilledRects()

unsigned long testFilledRects | ( | uint16_t | color1,
|  | uint16_t | color2
| ) |  |

Definition at line 257 of file graphicstest.ino.

## ◆ testFilledRoundRects()

unsigned long testFilledRoundRects | ( |  | ) |

Definition at line 381 of file graphicstest.ino.

## ◆ testFilledTriangles()

unsigned long testFilledTriangles | ( |  | ) |

Definition at line 340 of file graphicstest.ino.

## ◆ testFillScreen()

unsigned long testFillScreen | ( |  | ) |

Definition at line 118 of file graphicstest.ino.

## ◆ testLines()

unsigned long testLines | ( | uint16_t | color | ) |

Definition at line 165 of file graphicstest.ino.

## ◆ testRects()

unsigned long testRects | ( | uint16_t | color | ) |

Definition at line 238 of file graphicstest.ino.

## ◆ testRoundRects()

unsigned long testRoundRects | ( |  | ) |

Definition at line 362 of file graphicstest.ino.

## ◆ testText()

unsigned long testText | ( |  | ) |

Definition at line 134 of file graphicstest.ino.

## ◆ testTriangles()

unsigned long testTriangles | ( |  | ) |

Definition at line 319 of file graphicstest.ino.

## Macro Definition Documentation

## ◆ TFT_CS

#define TFT_CS 10

Definition at line 23 of file graphicstest.ino.

## ◆ TFT_DC

#define TFT_DC 9

Definition at line 22 of file graphicstest.ino.

## Variable Documentation

## ◆ tft

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC)

Definition at line 26 of file graphicstest.ino.